Qyra
ReferenceUntagged

GET/api/v1/projects/{projectUuid}/aiAgents/threads

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes

Query parameters

NameTypeRequiredDescription
pagenumberNo
pageSizenumberNo
agentUuidstringNo
createdFromstringNo
searchstringNo

Responses

200 — Success

{
  "results": {
    "pagination": {
      "page": 0,
      "pageSize": 0,
      "totalResults": 0,
      "totalPageCount": 0
    },
    "data": [
      {
        "liveStatus": {
          "source": "deterministic",
          "stateChangedAt": "string",
          "state": "working",
          "threadUuid": "string"
        },
        "user": {
          "name": "string",
          "uuid": "string"
        },
        "firstMessage": {
          "message": "string",
          "uuid": "string"
        },
        "pinnedAt": "string",
        "titleGeneratedAt": "string",
        "title": "string",
        "createdFrom": "slack",
        "createdAt": "string",
        "agentUuid": "string",
        "uuid": "string",
        "agentImageUrl": "string",
        "agentName": "string"
      }
    ]
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}